## Check filesystem errors

Script: `check_file_age`

**check_file_age** checks if files are not out of date.
You can find non finisheing processes that do not write an output file or logfile anymore.

This check sends performance data.

## Requirements

* sudo permission on /bin/journalctl to scan for the information

```txt
icingaclient ALL=(ALL) NOPASSWD: /bin/journalctl
```

## Standalone installation

From this repository ypu need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```txt
______________________________________________________________________

CHECK_FILE_AGE
v1.0

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_file_age.html
______________________________________________________________________

Check if files are not out of date.
You can customize the values for
* directory
* limits for warning and critical
* filename filter pattern

This plugin sends performancedata.

SYNTAX:

  check_file_age [-h] [--dir PATH] [--filter FILTER] [--critical VALUE] [--warning VALUE]

OPTIONS:

  -h, --help 
      this help

PARAMETERS:

  -d, --dir PATH
      set installation dir of iml deployment to find its check skript
      default dir: /var/iml-backup

  -c, --critical VALUE
      critical level in days (default: 14)

  -w. --warning VALUE
      warning level in days (default: 7)

  -f --filter FILTER
     filter for filenames (default: *.*

EXAMPLE:

  check_file_age
      Check backup data with initial values

  check_file_age -d /data/mybackups
      Check iso files a given directory
    
  check_file_age -d /data/mybackups -w 14 -c 28
      Check iso files a given directory and customized limits

```

### Parameters

(none)
